package model

import (
	"testing"

	"git.runcible.io/learning/ratchet/internal/apperror"
)

func TestUserValidation(t *testing.T) {
	t.Run("user should return invalid", func(t *testing.T) {
		u := &Userwtf{}
		if apperror.ErrorCode(u.Validate()) != apperror.EINVALID {
			t.Errorf("User validation should have failed but passed instead.")
		}
	})

	t.Run("user validation should pass", func(t *testing.T) {
		u := &Userwtf{Name: "Drew"}
		if u.Validate() != nil {
			t.Errorf("User validation failed")
		}
	})

}
